version: '3'
services:
  rancher:
    restart: always
    privileged: true    
    image: rancher/rancher:latest
    container_name: rancher
    volumes:
      - ./data:/var/lib/rancher
    environment:
      - TZ=Asia/Shanghai
      - CATTLE_BOOTSTRAP_PASSWORD=admin123456
    ports:
      - 80:80
      - 443:443
      - 8080:8080
